Optional creator email for the Go Link. Only organization admins can set this field.
description
string
No
—
Optional description for the Go Link.
destinationUrl
string
Yes
—
The URL that the Go Link redirects to.
name
string
Yes
—
The name of the Go Link that comes after go/. Only alphanumeric characters, dashes, and underscores are allowed.
urlPattern
string
No
—
Optional destination URL with {*} placeholders for variables to be inserted. Variables are specified like go/<name>/<var1>/<var2>.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "organizationId": { "type": "string", "description": "ID of the organization." }, "creatorEmail": { "type": "string", "description": "Optional creator email for the Go Link. Only organization admins can set this field." }, "description": { "type": "string", "description": "Optional description for the Go Link." }, "destinationUrl": { "type": "string", "description": "The URL that the Go Link redirects to." }, "name": { "type": "string", "description": "The name of the Go Link that comes after go/. Only alphanumeric characters, dashes, and underscores are allowed." }, "urlPattern": { "type": "string", "description": "Optional destination URL with {*} placeholders for variables to be inserted. Variables are specified like go/<name>/<var1>/<var2>." } }, "required": [ "PCID", "organizationId", "destinationUrl", "name" ]}
ID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
outputFormat
string
Yes
—
Supported output content formats that can be requested for getting content for an existing page.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "docId": { "type": "string", "description": "ID of the doc." }, "pageIdOrName": { "type": "string", "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected." }, "outputFormat": { "type": "string", "description": "Supported output content formats that can be requested for getting content for an existing page.", "enum": [ "html", "markdown" ] } }, "required": [ "PCID", "docId", "pageIdOrName", "outputFormat" ]}
The ID of the folder within which to create this doc. Defaults to your “My docs” folder in the oldest workspace you joined; this is subject to change. You can get this ID by opening the folder in the docs list on your computer and grabbing the folderId query parameter.
initialPage
object
No
—
Initial Page
sourceDoc
string
No
—
An optional doc ID from which to create a copy.
timezone
string
No
—
The timezone to use for the newly created doc.
title
string
No
—
Title of the new doc. Defaults to ‘Untitled’.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "folderId": { "type": "string", "description": "The ID of the folder within which to create this doc. Defaults to your \"My docs\" folder in the oldest workspace you joined; this is subject to change. You can get this ID by opening the folder in the docs list on your computer and grabbing the `folderId` query parameter." }, "initialPage": { "description": "Initial Page" }, "sourceDoc": { "type": "string", "description": "An optional doc ID from which to create a copy." }, "timezone": { "type": "string", "description": "The timezone to use for the newly created doc." }, "title": { "type": "string", "description": "Title of the new doc. Defaults to 'Untitled'." } }, "required": [ "PCID" ]}
ID of the workspace where the folder should be created.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "description": { "type": "string", "description": "Description of the folder." }, "name": { "type": "string", "description": "Name of the folder." }, "workspaceId": { "type": "string", "description": "ID of the workspace where the folder should be created." } }, "required": [ "PCID", "name", "workspaceId" ]}
Content that can be added to a page at creation time, either text (or rich text) or a URL to create a full-page embed.
parentPageId
string
No
—
The ID of this new page’s parent, if creating a subpage.
subtitle
string
No
—
Subtitle of the page.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "docId": { "type": "string", "description": "ID of the doc." }, "iconName": { "type": "string", "description": "Name of the icon." }, "imageUrl": { "type": "string", "description": "Url of the cover image to use." }, "name": { "type": "string", "description": "Name of the page." }, "pageContent": { "description": "Content that can be added to a page at creation time, either text (or rich text) or a URL to create a full-page embed." }, "parentPageId": { "type": "string", "description": "The ID of this new page's parent, if creating a subpage." }, "subtitle": { "type": "string", "description": "Subtitle of the page." } }, "required": [ "PCID", "docId" ]}
ID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "docId": { "type": "string", "description": "ID of the doc." }, "pageIdOrName": { "type": "string", "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected." } }, "required": [ "PCID", "docId", "pageIdOrName" ]}
ID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
elementIds
string[]
No
—
IDs of the elements to delete from the page. If omitted or empty, all content will be deleted.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "docId": { "type": "string", "description": "ID of the doc." }, "pageIdOrName": { "type": "string", "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected." }, "elementIds": { "type": "array", "items": { "type": "string" }, "description": "IDs of the elements to delete from the page. If omitted or empty, all content will be deleted." } }, "required": [ "PCID", "docId", "pageIdOrName" ]}
ID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "docId": { "type": "string", "description": "ID of the doc." }, "pageIdOrName": { "type": "string", "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected." } }, "required": [ "PCID", "docId", "pageIdOrName" ]}
ID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
requestId
string
Yes
—
ID of the request.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "docId": { "type": "string", "description": "ID of the doc." }, "pageIdOrName": { "type": "string", "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected." }, "requestId": { "type": "string", "description": "ID of the request." } }, "required": [ "PCID", "docId", "pageIdOrName", "requestId" ]}
Maximum number of results to return in this query.
pageToken
string
No
—
An opaque token used to fetch the next page of results.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "docId": { "type": "string", "description": "ID of the doc." }, "limit": { "type": "integer", "description": "Maximum number of results to return in this query." }, "pageToken": { "type": "string", "description": "An opaque token used to fetch the next page of results." } }, "required": [ "PCID", "docId" ]}
If true, returns docs that are starred. If false, returns docs that are not starred.
inGallery
boolean
No
—
Show only docs visible within the gallery.
workspaceId
string
No
—
Show only docs belonging to the given workspace.
folderId
string
No
—
Show only docs belonging to the given folder.
limit
integer
No
—
Maximum number of results to return in this query.
pageToken
string
No
—
An opaque token used to fetch the next page of results.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "isOwner": { "type": "boolean", "description": "Show only docs owned by the user." }, "isPublished": { "type": "boolean", "description": "Show only published docs." }, "query": { "type": "string", "description": "Search term used to filter down results." }, "sourceDoc": { "type": "string", "description": "Show only docs copied from the specified doc ID." }, "isStarred": { "type": "boolean", "description": "If true, returns docs that are starred. If false, returns docs that are not starred." }, "inGallery": { "type": "boolean", "description": "Show only docs visible within the gallery." }, "workspaceId": { "type": "string", "description": "Show only docs belonging to the given workspace." }, "folderId": { "type": "string", "description": "Show only docs belonging to the given folder." }, "limit": { "type": "integer", "description": "Maximum number of results to return in this query." }, "pageToken": { "type": "string", "description": "An opaque token used to fetch the next page of results." } }, "required": [ "PCID" ]}
Show only folders belonging to the given workspace.
isStarred
boolean
No
—
If true, returns folders that are starred. If false, returns folders that are not starred. If not specified, returns all folders.
limit
integer
No
—
Maximum number of results to return in this query.
pageToken
string
No
—
An opaque token used to fetch the next page of results.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "workspaceId": { "type": "string", "description": "Show only folders belonging to the given workspace." }, "isStarred": { "type": "boolean", "description": "If true, returns folders that are starred. If false, returns folders that are not starred. If not specified, returns all folders." }, "limit": { "type": "integer", "description": "Maximum number of results to return in this query." }, "pageToken": { "type": "string", "description": "An opaque token used to fetch the next page of results." } }, "required": [ "PCID" ]}
ID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
limit
integer
No
—
Maximum number of content items to return in this query.
pageToken
string
No
—
An opaque token used to fetch the next page of results.
contentFormat
string
No
—
The format to return content in. Defaults to plainText.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "docId": { "type": "string", "description": "ID of the doc." }, "pageIdOrName": { "type": "string", "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected." }, "limit": { "type": "integer", "description": "Maximum number of content items to return in this query." }, "pageToken": { "type": "string", "description": "An opaque token used to fetch the next page of results." }, "contentFormat": { "type": "string", "description": "The format to return content in. Defaults to plainText.", "enum": [ "plainText" ] } }, "required": [ "PCID", "docId", "pageIdOrName" ]}
Maximum number of results to return in this query.
pageToken
string
No
—
An opaque token used to fetch the next page of results.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "docId": { "type": "string", "description": "ID of the doc." }, "limit": { "type": "integer", "description": "Maximum number of results to return in this query." }, "pageToken": { "type": "string", "description": "An opaque token used to fetch the next page of results." } }, "required": [ "PCID", "docId" ]}
If true, new users may be required to sign in to view content within this document. You will receive Coda credit for each user who signs up via your doc.
mode
string
No
—
Which interaction mode the published doc should use.
slug
string
No
—
Slug for the published doc.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "docId": { "type": "string", "description": "ID of the doc." }, "categoryNames": { "type": "array", "items": { "type": "string" }, "description": "The names of categories to apply to the document." }, "discoverable": { "type": "boolean", "description": "If true, indicates that the doc is discoverable." }, "earnCredit": { "type": "boolean", "description": "If true, new users may be required to sign in to view content within this document. You will receive Coda credit for each user who signs up via your doc." }, "mode": { "type": "string", "description": "Which interaction mode the published doc should use.", "enum": [ "view", "play", "edit" ] }, "slug": { "type": "string", "description": "Slug for the published doc." } }, "required": [ "PCID", "docId" ]}
By default, attempting to resolve the Coda URL of a deleted object will result in an error. If this flag is set, the next-available object, all the way up to the doc itself, will be resolved.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "url": { "type": "string", "description": "The browser link to try to resolve." }, "degradeGracefully": { "type": "boolean", "description": "By default, attempting to resolve the Coda URL of a deleted object will result in an error. If this flag is set, the next-available object, all the way up to the doc itself, will be resolved." } }, "required": [ "PCID", "url" ]}
ID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
contentUpdate
object
No
—
Content Update
iconName
string
No
—
Name of the icon.
imageUrl
string
No
—
Url of the cover image to use.
isHidden
boolean
No
—
Whether the page is hidden or not. Note that for pages that cannot be hidden, like the sole top-level page in a doc, this will be ignored.
name
string
No
—
Name of the page.
subtitle
string
No
—
Subtitle of the page.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "docId": { "type": "string", "description": "ID of the doc." }, "pageIdOrName": { "type": "string", "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected." }, "contentUpdate": { "description": "Content Update" }, "iconName": { "type": "string", "description": "Name of the icon." }, "imageUrl": { "type": "string", "description": "Url of the cover image to use." }, "isHidden": { "type": "boolean", "description": "Whether the page is hidden or not. Note that for pages that cannot be hidden, like the sole top-level page in a doc, this will be ignored." }, "name": { "type": "string", "description": "Name of the page." }, "subtitle": { "type": "string", "description": "Subtitle of the page." } }, "required": [ "PCID", "docId", "pageIdOrName" ]}